@charset "UTF-8";

#pagination-controls {
    margin-bottom: 20px; /* Add some space between pagination and gallery */
    margin-top:20px;
    text-align: center;  /* Center the pagination controls */
    font-family: "Gill Sans", "Gill Sans MT", "Myriad Pro", "DejaVu Sans Condensed", Helvetica, Arial, sans-serif; /* Replace with any font family you prefer */
}

#pagination-controls button {
    background-color: #808080; /* Adjust the background color as desired */
    color: white;              /* Button text color */
    padding: 15px 25px;        /* Increase the padding for a larger button */
    border: none;              /* Remove the default border */
    border-radius: 8px;        /* Add rounded corners */
    font-size: 18px;           /* Increase the font size of the button text */
    cursor: pointer;           /* Change cursor to pointer on hover */
    margin: 5px;               /* Add some spacing between buttons */
    font-family: "Gill Sans", "Gill Sans MT", "Myriad Pro", "DejaVu Sans Condensed", Helvetica, Arial, sans-serif; /* Change the font to match the rest of the pagination controls */
}

#pagination-controls button:hover {
    background-color: #45a049; /* Slightly darker green for hover state to add visual feedback */
}

#page-info {
    font-size: 18px;           /* Increase font size for better visibility */
    font-family: "Gill Sans", "Gill Sans MT", "Myriad Pro", "DejaVu Sans Condensed", Helvetica, Arial, sans-serif; /* Change the font to match the rest of the pagination controls */
    margin: 0 15px;            /* Add some space between page info and buttons */
}
#pagination-controls2 {
    margin-bottom: 20px; /* Add some space between pagination and gallery */
    margin-top:20px;
    text-align: center;  /* Center the pagination controls */
    font-family: "Gill Sans", "Gill Sans MT", "Myriad Pro", "DejaVu Sans Condensed", Helvetica, Arial, sans-serif; /* Replace with any font family you prefer */
}

#pagination-controls2 button {
    background-color: #808080; /* Adjust the background color as desired */
    color: white;              /* Button text color */
    padding: 15px 25px;        /* Increase the padding for a larger button */
    border: none;              /* Remove the default border */
    border-radius: 8px;        /* Add rounded corners */
    font-size: 18px;           /* Increase the font size of the button text */
    cursor: pointer;           /* Change cursor to pointer on hover */
    margin: 5px;               /* Add some spacing between buttons */
    font-family: "Gill Sans", "Gill Sans MT", "Myriad Pro", "DejaVu Sans Condensed", Helvetica, Arial, sans-serif; /* Change the font to match the rest of the pagination controls */
}

#pagination-controls2 button:hover {
    background-color: #45a049; /* Slightly darker green for hover state to add visual feedback */
}

#page-info2 {
    font-size: 18px;           /* Increase font size for better visibility */
    font-family: "Gill Sans", "Gill Sans MT", "Myriad Pro", "DejaVu Sans Condensed", Helvetica, Arial, sans-serif; /* Change the font to match the rest of the pagination controls */
    margin: 0 15px;            /* Add some space between page info and buttons */
}

#nav-arrows {
	position: static;
	height: 200px;
	width: 100%;
	text-align: center;
	font-family: Impact, Haettenschweiler, "Franklin Gothic Bold", "Arial Black", sans-serif;
	color: #000000;
	float: left;
	background-repeat: no-repeat;
	background-size: contain;
	font-size: 55px;
	padding-bottom: 20px;
}
#nav-button {
    background-color: #4CAF50;
    border: none;
    color: white;
    padding: 15px 32px;
    text-align: center;
text-decoration: none;
            display: inline-block;
            font-size: 16px;
            margin: 4px 2px;
            cursor: pointer;
            border-radius: 4px;    
}
#nav-arrows a{
	color: #000000;
	text-decoration: none;
}
#nav-arrows a:hover{
	color:#E0DCD8;
	text-decoration: none;
}
#main-header {
	font-family: "Gill Sans", "Gill Sans MT", "Myriad Pro", "DejaVu Sans Condensed", Helvetica, Arial, sans-serif;
	font-size: 40px;
	font-style: normal;
	position: static;
	width: 98%;
	margin-left: 1%;
	margin-right: 1%;
	height: 45px;
	text-align: center;
	float: left;
	border-bottom: thin solid #000000;
	border-bottom-color: #000000;
	border-top-style: none;
	border-right-style: none;
	border-left-style: none;	
	padding-top: 40px;
	padding-bottom: 20px;
}
#container {
	position: relative;
	height: 50px;
	width: 100%;
	padding-right: 20px;
}
#homelogo {
	position: fixed;
	z-index: 900;
	float: left;
	left: 1vw;
}
#headerspacer {
	position: fixed;
	height: 60px;
	width: 100vw;
	background-color: #FFFFFF;
	top: .1px;
	left: 1px;
	color: #000000;
	z-index: 500;
	text-align: right;
	padding-right: 20px;
}
#backlink {
	position: absolute;
	right: 20px;
	color: #000000;
	text-align: center;
	font-family: "Gill Sans", "Gill Sans MT", "Myriad Pro", "DejaVu Sans Condensed", Helvetica, Arial, sans-serif;
	padding-right: 50px;
	padding-top: 5px;
	text-decoration:none;
}
#backlink a {
	color: #000000;
		text-decoration:none;

}
#backlink a:hover {
	color:#B0BB57;
		text-decoration:none;
}


#body {
    font-family: Arial, sans-serif;
    background-color: #f4f4f4;
    margin: 0;
    padding: 0;
}

#header {
    background: #333;
    color: #fff;
    text-align: center;
    padding: 1rem 0;
}

#main {
    padding: 1rem;
}

.gallery {
    display: grid; /* Modern grid layout */
    grid-template-columns: repeat(auto-fill, minmax(200px, 1fr)); /* Responsive columns */
    gap: 0.5rem; /* Space between grid items */
}

figure {
    margin: 0;
    position: relative;
    overflow: hidden;
    border: 1px solid #ddd;
    border-radius: 5px;
    background: #fff;
    box-shadow: 0 0 5px rgba(0,0,0,0.1);
}

figure img {
    width: 100%;
    cursor: pointer;
    height: auto;
    display: block;
    aspect-ratio:16 / 9;
    transition: transform 0.3s ease;
}

figure img:hover {
    transform: scale(1.2);
}

figcaption {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    padding: 0.5rem;
    background: rgba(0, 0, 0, 0.5);
    color: #fff;
    text-align: center;
    font-size: 0.9rem;
    font-weight: bold;
}
/* Search bar container styles */
#search-container {
    margin: 1rem;
    text-align: center;
}

/* Search input field styles */
#search-bar {
    width: 100%;
    max-width: 500px;
    padding: 0.5rem 1rem;
    font-size: 1rem;
    border: 1px solid #ddd;
    border-radius: 5px;
    box-shadow: 0 0 5px rgba(0,0,0,0.1);
    outline: none;
    transition: border-color 0.3s ease, box-shadow 0.3s ease;
    margin-top: 20px;
}

/* Search input field focus styles */
#search-bar:focus {
    border-color: #007BFF; /* Blue border on focus */
    box-shadow: 0 0 8px rgba(0,123,255,0.5); /* Blue shadow on focus */
}

#caption {
    color: #000; /* Black text color */
    font-size: 1.5rem; /* Larger font size */
    text-align: center; /* Center the text */
    margin-top: 30px; /* Space above the caption */
    padding: 10px; /* Space around the text */
    border-radius: 5px; /* Rounded corners */
    position: relative; /* Positioned relative to the modal */
    bottom: 10px; /* Position at the bottom of the modal */
    left: 50%; /* Center horizontally */
    transform: translateX(-50%); /* Center horizontally */
    max-width: 90%; /* Ensure caption fits within the modal */
    z-index: 1;
    font-family: "Gill Sans", "Gill Sans MT", "Myriad Pro", "DejaVu Sans Condensed", Helvetica, Arial, sans-serif;
    
}

.modal {
            display: none; 
            position: fixed; 
            z-index: 10; 
            left: 0; 
            top: 0; 
            width: 100%; 
            height: 100%; 
            overflow: auto; 
            background-color: rgba(255,255,255,0.9); 
            padding-top: 50px;
        }
        .modal-content {
            margin: auto;
            display: block;
            width: 90%;
            max-width: 700px;
            padding-top: 10px;
        }
        .close {
            color: gray;
            float: center;
            font-size: 50px;
            font-weight: bold;
        }
        .close:hover,
        .close:focus {
            color: black;
            text-decoration: none;
            cursor: pointer;
        }

footer {
    background: #333;
    color: #fff;
    text-align: center;
    padding: 1rem 0;
}
